#!/bin/bash

# checkout libpayload
if [ ! -d libpayload ]; then
    svn co https://svn.coreboot.org/repos/trunk/payloads/libpayload libpayload
fi

# create ./build if not found
if [ ! -d ./build/ ]; then
    mkdir ./build/
fi

# build libpayload into ./build/
cd libpayload

# config libpayload if not configured previously
if [ ! -e ./.config ]; then
    make DESTDIR=./../build config
fi

# finally make install it
make DESTDIR=./../build install
cd ..
